package com.ruoyi.web.work.service;

import java.time.LocalDateTime;
import java.util.List;

import com.ruoyi.web.work.domain.FollowRecord;
import com.ruoyi.web.work.domain.Visit;
import com.ruoyi.web.work.domain.dto.PatientCardDto;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author lsw
 * @date 2024-07-23
 */
public interface IVisitService extends IService<Visit>{
    List<Visit> selectList(Visit visit);

    List<PatientCardDto> getPatientCardByNameOrDepartmentOrPhysician(String patientName, String departmentName, String physician);

    List<PatientCardDto> getAllDepartment();

    List<Visit> getVisitByTime(String beginTime, String endTime, Long patId);

    //根据患者Id获取就诊记录列表
    List<Visit> getVisitByPatId(String patId,String startTime,String endTime);
}
